Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.collections
Interface OrderedIterator

All Superinterfaces:
  java.util.Iterator

All Known Subinterfaces:
  OrderedMapIterator

All Known Implementing Classes:
  AbstractLinkedList.LinkedListIterator, AbstractLinkedList.LinkedSubListIterator, AbstractLinkedMap.EntrySetIterator, AbstractLinkedMap.KeySetIterator, AbstractLinkedMap.LinkIterator, AbstractLinkedMap.LinkMapIterator, AbstractLinkedMap.ValuesIterator, AbstractOrderedMapIteratorDecorator, CursorableLinkedList.Cursor, CursorableLinkedList.SubCursor, DualTreeBidiMap.BidiOrderedMapIterator, EmptyOrderedIterator, EmptyOrderedMapIterator, UnmodifiableOrderedMapIterator

    public interface OrderedIterator

extends java.util.Iterator

Defines an iterator that operates over an ordered collection.

This iterator allows both forward and reverse iteration through the collection.

Since:
  Commons Collections 3.0
Version:
  $Revision: 646777 $ $Date: 2008-04-10 13:33:15 +0100 (Thu, 10 Apr 2008) $
Author:
  Stephen Colebourne

Method Summary
`boolean` | `hasPrevious()` Checks to see if there is a previous element that can be iterated to.
`java.lang.Object` | `previous()` Gets the previous element from the collection.

Methods inherited from interface java.util.Iterator
`hasNext, next, remove`

Method Detail

### hasPrevious

    boolean hasPrevious()

  Checks to see if there is a previous element that can be iterated to.

  Returns:
    `true` if the iterator has a previous element

### previous

    java.lang.Object previous()

  Gets the previous element from the collection.

  Returns:
    the previous element in the iteration
  Throws:
    `java.util.NoSuchElementException` - if the iteration is finished

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.